GET /documents/{documentId}

Headers

  • Authorization string Required

    Authorization header

Path parameters

  • documentId integer Required

    The ID of the document to retrieve.

Responses

  • 200 application/json

    Document retrieved successfully

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
    Hide response attributes Show response attributes object
    • documentId integer Required

      Identifier for the document

    • contentType string Required

      MIME type of the document. Currently only 'application/pdf' is returned.

    • downloadUrl string(uri) Required

      URL to download the document, typically a presigned URL with limited validity

    • pages array[object]

      List of pages in the document, if available. This may be used to display document content in client applications.

      Hide pages attributes Show pages attributes object
      • sequenceNumber integer Required

        Page number within the document

      • thumbnailUrl string(uri) Required

        URL to a thumbnail image of the page suitable for quick display in lists or previews, typically a presigned URL with limited validity

      • previewUrl string(uri) Required

        URL to a preview image of the page suitable for display in the main document viewer, typically a presigned URL with limited validity

GET /documents/{documentId}
curl \
 --request GET 'https://rest.api.24sevenoffice.com/v1/documents/{documentId}' \
 --header "Authorization: string"
Response examples (200)
# Headers
Access-Control-Allow-Origin: string
Access-Control-Allow-Credentials: string
X-Trace-Id: string

# Payload
{
  "documentId": 12345,
  "contentType": "application/pdf",
  "downloadUrl": "https://attachment.api.24sevenoffice.com/download/abc123?signature=xyz",
  "pages": [
    {
      "sequenceNumber": 1,
      "thumbnailUrl": "https://attachment.api.24sevenoffice.com/thumbnail/abc123?page=1&signature=xyz",
      "previewUrl": "https://attachment.api.24sevenoffice.com/preview/abc123?page=1&signature=xyz"
    }
  ]
}